View Issue Details

IDProjectCategoryView StatusLast Update
0007134libmicrohttpdbuild systempublic2022-03-01 00:04
Reporterkloczek Assigned ToChristian Grothoff  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version0.9.75 
Target Version0.9.76Fixed in Version0.9.76 
Summary0007134: 0.9.75: missing file chapters/websocket.inc in dist tar ball
DescriptionLooks like it is missing file in dist tart ball. I found it after modify *texi files afetr which it was necessary to renerate info pages.

Making all in doc
make[2]: Entering directory '/home/tkloczko/rpmbuild/BUILD/libmicrohttpd-0.9.75/doc'
Making all in .
make[3]: Entering directory '/home/tkloczko/rpmbuild/BUILD/libmicrohttpd-0.9.75/doc'
restore=: && backupdir=".am$$" && \
am__cwd=`pwd` && CDPATH="${ZSH_VERSION+.}:" && cd . && \
rm -rf $backupdir && mkdir $backupdir && \
if (/bin/sh '/home/tkloczko/rpmbuild/BUILD/libmicrohttpd-0.9.75/build-aux/missing' makeinfo --version) >/dev/null 2>&1; then \
  for f in libmicrohttpd-tutorial.info libmicrohttpd-tutorial.info-[0-9] libmicrohttpd-tutorial.info-[0-9][0-9] libmicrohttpd-tutorial.i[0-9] libmicrohttpd-tutorial.i[0-9][0-9]; do \
    if test -f $f; then mv $f $backupdir; restore=mv; else :; fi; \
  done; \
else :; fi && \
cd "$am__cwd"; \
if /bin/sh '/home/tkloczko/rpmbuild/BUILD/libmicrohttpd-0.9.75/build-aux/missing' makeinfo -I . \
 -o libmicrohttpd-tutorial.info libmicrohttpd-tutorial.texi; \
then \
  rc=0; \
  CDPATH="${ZSH_VERSION+.}:" && cd .; \
else \
  rc=$?; \
  CDPATH="${ZSH_VERSION+.}:" && cd . && \
  $restore $backupdir/* `echo "./libmicrohttpd-tutorial.info" | sed 's|[^/]*$||'`; \
fi; \
rm -rf $backupdir; exit $rc
libmicrohttpd-tutorial.texi:116: @include: could not find chapters/websocket.inc
make[3]: *** [Makefile:553: libmicrohttpd-tutorial.info] Error 1
make[3]: Leaving directory '/home/tkloczko/rpmbuild/BUILD/libmicrohttpd-0.9.75/doc'
make[2]: *** [Makefile:774: all-recursive] Error 1
make[2]: Leaving directory '/home/tkloczko/rpmbuild/BUILD/libmicrohttpd-0.9.75/doc'
make[1]: *** [Makefile:608: all-recursive] Error 1
make[1]: Leaving directory '/home/tkloczko/rpmbuild/BUILD/libmicrohttpd-0.9.75'
make: *** [Makefile:515: all] Error 2

Please next time on generate dist tar ball use "make distchec" instead "make dist"
TagsNo tags attached.

Activities

Christian Grothoff

2022-02-28 23:55

manager   ~0018753

Fixed by Evgeny in bf89bd95f8d4401ddaabdb59023175e66bdbd80f

Issue History

Date Modified Username Field Change
2021-12-30 07:21 kloczek New Issue
2022-02-28 23:55 Christian Grothoff Assigned To => Christian Grothoff
2022-02-28 23:55 Christian Grothoff Status new => resolved
2022-02-28 23:55 Christian Grothoff Resolution open => fixed
2022-02-28 23:55 Christian Grothoff Fixed in Version => Git master
2022-02-28 23:55 Christian Grothoff Note Added: 0018753
2022-03-01 00:04 Christian Grothoff Product Version => 0.9.75
2022-03-01 00:04 Christian Grothoff Fixed in Version Git master => 0.9.76
2022-03-01 00:04 Christian Grothoff Target Version => 0.9.76